{% extends "wagtailadmin/base.html" %}
{% load i18n %}
{% block titletag %}{% blocktrans with newsitem=newsitem %}Delete {{ newsitem }}{% endblocktrans %}{% endblock %}
{% block bodyclass %}menu-news{% endblock %}
{% block content %}

    {% trans "Delete" as new_str %}
    {% include "wagtailadmin/shared/header.html" with title=new_str subtitle=newsitem icon="grip" %}

    <div class="row row-flush nice-padding">
        <form action="{% url 'wagpress_news:delete' pk=newsindex.pk newsitem_pk=newsitem.pk %}" method="POST">
            {% csrf_token %}
            <p>{% blocktrans %}Are you sure you want to delete this news item?{% endblocktrans %}</p>
            {% if newsitem.live %}
                <p>{% trans "Alternatively you can unpublish the news item. This removes the news item from public view and you can edit or publish it again later." %}</p>
                <input type="submit" value="{% trans 'Delete it' %}" class="button serious {% if newsitem.live %}button-secondary{% endif %}">
                <a href="{% url 'wagpress_news:unpublish' pk=newsindex.pk newsitem_pk=newsitem.pk %}" class="button">
                    {% trans 'Unpublish it' %}
                </a>
            {% else %}
                <input type="submit" value="{% trans 'Delete it' %}" class="button serious">
            {% endif %}
        </form>
    </div>
{% endblock %}

{% block extra_css %}
    {% include "wagtailadmin/pages/_editor_css.html" %}
{% endblock %}
{% block extra_js %}
    {% include "wagtailadmin/pages/_editor_js.html" %}
{% endblock %}
